Exiv2::Internal::TiffDecoder Class Reference

TIFF composite visitor to decode metadata from the TIFF tree and add it to an Image, which is supplied in the constructor (Visitor pattern). Used by TiffParser to decode the metadata from a TIFF composite. More...

`#include <tiffvisitor_int.hpp>`

Inheritance diagram for Exiv2::Internal::TiffDecoder:
[legend]

## Public Member Functions

Creators
| TiffDecoder (ExifData &exifData, IptcData &iptcData, XmpData &xmpData, TiffComponent *const pRoot, FindDecoderFct findDecoderFct)
| Constructor, taking metadata containers to add the metadata to, the root element of the composite to decode and a FindDecoderFct function to get the decoder function for each tag.
virtual | ~TiffDecoder ()
| Virtual destructor.
Public Member Functions inherited from Exiv2::Internal::TiffVisitor
| TiffVisitor ()
| Default constructor. Initialises all stop/go flags to true.
virtual | ~TiffVisitor ()
| Virtual destructor.
void | setGo (GoEvent event, bool go)
| Set the stop/go flag: true for go, false for stop. More...
virtual void | visitDirectoryNext (TiffDirectory *object)
| Operation to perform for a TIFF directory, after all components and before the next entry is processed.
virtual void | visitDirectoryEnd (TiffDirectory *object)
| Operation to perform for a TIFF directory, at the end of the processing.
virtual void | visitIfdMakernoteEnd (TiffIfdMakernote *object)
| Operation to perform after processing an IFD makernote.
virtual void | visitBinaryArrayEnd (TiffBinaryArray *object)
| Operation to perform for a TIFF binary array, at the end of the processing.
bool | go (GoEvent event) const
| Check if stop flag for event is clear, return true if it's clear.

## Manipulators

virtual void | visitEntry (TiffEntry *object)
| Decode a TIFF entry.
virtual void | visitDataEntry (TiffDataEntry *object)
| Decode a TIFF data entry.
virtual void | visitImageEntry (TiffImageEntry *object)
| Decode a TIFF image entry.
virtual void | visitSizeEntry (TiffSizeEntry *object)
| Decode a TIFF size entry.
virtual void | visitDirectory (TiffDirectory *object)
| Decode a TIFF directory.
virtual void | visitSubIfd (TiffSubIfd *object)
| Decode a TIFF sub-IFD.
virtual void | visitMnEntry (TiffMnEntry *object)
| Decode a TIFF makernote.
virtual void | visitIfdMakernote (TiffIfdMakernote *object)
| Decode an IFD makernote.
virtual void | visitBinaryArray (TiffBinaryArray *object)
| Decode a binary array.
virtual void | visitBinaryElement (TiffBinaryElement *object)
| Decode an element of a binary array.
void | decodeTiffEntry (const TiffEntryBase *object)
| Entry function, determines how to decode each tag.
void | decodeStdTiffEntry (const TiffEntryBase *object)
| Decode a standard TIFF entry.
void | decodeIptc (const TiffEntryBase *object)
| Decode IPTC data from an IPTCNAA tag or Photoshop ImageResources.
void | decodeXmp (const TiffEntryBase *object)
| Decode XMP packet from an XMLPacket tag.
void | decodeCanonAFInfo (const TiffEntryBase *object)
| Decode Exif.Canon.AFInfo.

## Additional Inherited Members

Public Types inherited from Exiv2::Internal::TiffVisitor
enum | GoEvent { geTraverse = 0 , geKnownMakernote = 1 }
| Events for the stop/go flag. See setGo(). More...

## Detailed Description

TIFF composite visitor to decode metadata from the TIFF tree and add it to an Image, which is supplied in the constructor (Visitor pattern). Used by TiffParser to decode the metadata from a TIFF composite.

The documentation for this class was generated from the following files:

- tiffvisitor_int.hpp
- tiffvisitor_int.cpp